Adding intltool into build dependencies, it is required now.
[debian/lxde-common.git] / Makefile.in
CommitLineData
18d449f7 1# Makefile.in generated by automake 1.14.1 from Makefile.am.
097da666
DB
2# @configure_input@
3
18d449f7
AG
4# Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
097da666
DB
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17
18VPATH = @srcdir@
18d449f7
AG
19am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
20am__make_running_with_option = \
21 case $${target_option-} in \
22 ?) ;; \
23 *) echo "am__make_running_with_option: internal error: invalid" \
24 "target option '$${target_option-}' specified" >&2; \
25 exit 1;; \
26 esac; \
27 has_opt=no; \
28 sane_makeflags=$$MAKEFLAGS; \
29 if $(am__is_gnu_make); then \
30 sane_makeflags=$$MFLAGS; \
31 else \
32 case $$MAKEFLAGS in \
33 *\\[\ \ ]*) \
34 bs=\\; \
35 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
36 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
37 esac; \
38 fi; \
39 skip_next=no; \
40 strip_trailopt () \
41 { \
42 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
43 }; \
44 for flg in $$sane_makeflags; do \
45 test $$skip_next = yes && { skip_next=no; continue; }; \
46 case $$flg in \
47 *=*|--*) continue;; \
48 -*I) strip_trailopt 'I'; skip_next=yes;; \
49 -*I?*) strip_trailopt 'I';; \
50 -*O) strip_trailopt 'O'; skip_next=yes;; \
51 -*O?*) strip_trailopt 'O';; \
52 -*l) strip_trailopt 'l'; skip_next=yes;; \
53 -*l?*) strip_trailopt 'l';; \
54 -[dEDm]) skip_next=yes;; \
55 -[JT]) skip_next=yes;; \
56 esac; \
57 case $$flg in \
58 *$$target_option*) has_opt=yes; break;; \
59 esac; \
60 done; \
61 test $$has_opt = yes
62am__make_dryrun = (target_option=n; $(am__make_running_with_option))
63am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
097da666 64pkgdatadir = $(datadir)/@PACKAGE@
097da666 65pkgincludedir = $(includedir)/@PACKAGE@
4af7dd53
DB
66pkglibdir = $(libdir)/@PACKAGE@
67pkglibexecdir = $(libexecdir)/@PACKAGE@
097da666
DB
68am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
69install_sh_DATA = $(install_sh) -c -m 644
70install_sh_PROGRAM = $(install_sh) -c
71install_sh_SCRIPT = $(install_sh) -c
72INSTALL_HEADER = $(INSTALL_DATA)
73transform = $(program_transform_name)
74NORMAL_INSTALL = :
75PRE_INSTALL = :
76POST_INSTALL = :
77NORMAL_UNINSTALL = :
78PRE_UNINSTALL = :
79POST_UNINSTALL = :
80subdir = .
18d449f7
AG
81DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
82 $(top_srcdir)/configure $(am__configure_deps) \
83 $(srcdir)/startlxde.in $(srcdir)/lxde-logout.in \
10262927
AG
84 $(srcdir)/LXDE.desktop.in.in $(top_srcdir)/lxpanel/panel.in \
85 $(top_srcdir)/openbox/rc.xml.in $(srcdir)/openbox-lxde.in \
525d33ac 86 $(top_srcdir)/pcmanfm/pcmanfm.conf.in AUTHORS COPYING \
10262927 87 ChangeLog INSTALL NEWS README compile install-sh missing
097da666 88ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
4af7dd53
DB
89am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
90 $(top_srcdir)/configure.ac
097da666
DB
91am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
92 $(ACLOCAL_M4)
93am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
94 configure.lineno config.status.lineno
525d33ac 95mkinstalldirs = $(install_sh) -d
10262927
AG
96CONFIG_CLEAN_FILES = startlxde lxde-logout LXDE.desktop.in \
97 lxpanel/panel openbox/rc.xml openbox-lxde pcmanfm/pcmanfm.conf
4af7dd53
DB
98CONFIG_CLEAN_VPATH_FILES =
99am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
100am__vpath_adj = case $$p in \
101 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
102 *) f=$$p;; \
103 esac;
104am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
105am__install_max = 40
106am__nobase_strip_setup = \
107 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
108am__nobase_strip = \
109 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
110am__nobase_list = $(am__nobase_strip_setup); \
111 for p in $$list; do echo "$$p $$p"; done | \
112 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
113 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
114 if (++n[$$2] == $(am__install_max)) \
115 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
116 END { for (dir in files) print dir, files[dir] }'
117am__base_list = \
118 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
119 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
18d449f7
AG
120am__uninstall_files_from_dir = { \
121 test -z "$$files" \
122 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
123 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
124 $(am__cd) "$$dir" && rm -f $$files; }; \
125 }
097da666 126am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(defaultsdir)" \
10262927
AG
127 "$(DESTDIR)$(desktopdir)" "$(DESTDIR)$(imagesdir)" \
128 "$(DESTDIR)$(lxpaneldir)" "$(DESTDIR)$(lxpanel_paneldir)" \
129 "$(DESTDIR)$(openboxdir)" "$(DESTDIR)$(pcmanfmdir)" \
130 "$(DESTDIR)$(wallpapersdir)" "$(DESTDIR)$(xsessiondir)"
097da666 131SCRIPTS = $(bin_SCRIPTS)
18d449f7
AG
132AM_V_P = $(am__v_P_@AM_V@)
133am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
134am__v_P_0 = false
135am__v_P_1 = :
136AM_V_GEN = $(am__v_GEN_@AM_V@)
137am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
138am__v_GEN_0 = @echo " GEN " $@;
139am__v_GEN_1 =
140AM_V_at = $(am__v_at_@AM_V@)
141am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
142am__v_at_0 = @
143am__v_at_1 =
097da666
DB
144SOURCES =
145DIST_SOURCES =
18d449f7
AG
146RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
147 ctags-recursive dvi-recursive html-recursive info-recursive \
148 install-data-recursive install-dvi-recursive \
149 install-exec-recursive install-html-recursive \
150 install-info-recursive install-pdf-recursive \
151 install-ps-recursive install-recursive installcheck-recursive \
152 installdirs-recursive pdf-recursive ps-recursive \
153 tags-recursive uninstall-recursive
154am__can_run_installinfo = \
155 case $$AM_UPDATE_INFO_DIR in \
156 n|no|NO) false;; \
157 *) (install-info --version) >/dev/null 2>&1;; \
158 esac
10262927 159DATA = $(defaults_DATA) $(desktop_DATA) $(images_DATA) $(lxpanel_DATA) \
097da666
DB
160 $(lxpanel_panel_DATA) $(openbox_DATA) $(pcmanfm_DATA) \
161 $(wallpapers_DATA) $(xsession_DATA)
162RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
163 distclean-recursive maintainer-clean-recursive
18d449f7
AG
164am__recursive_targets = \
165 $(RECURSIVE_TARGETS) \
166 $(RECURSIVE_CLEAN_TARGETS) \
167 $(am__extra_recursive_targets)
168AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
169 cscope distdir dist dist-all distcheck
170am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
171# Read a list of newline-separated strings from the standard input,
172# and print each of them once, without duplicates. Input order is
173# *not* preserved.
174am__uniquify_input = $(AWK) '\
175 BEGIN { nonempty = 0; } \
176 { items[$$0] = 1; nonempty = 1; } \
177 END { if (nonempty) { for (i in items) print i; }; } \
178'
179# Make sure the list of sources is unique. This is necessary because,
180# e.g., the same source file might be shared among _SOURCES variables
181# for different programs/libraries.
182am__define_uniq_tagged_files = \
183 list='$(am__tagged_files)'; \
184 unique=`for i in $$list; do \
185 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
186 done | $(am__uniquify_input)`
097da666
DB
187ETAGS = etags
188CTAGS = ctags
18d449f7 189CSCOPE = cscope
097da666
DB
190DIST_SUBDIRS = $(SUBDIRS)
191DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
192distdir = $(PACKAGE)-$(VERSION)
193top_distdir = $(distdir)
194am__remove_distdir = \
18d449f7
AG
195 if test -d "$(distdir)"; then \
196 find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
197 && rm -rf "$(distdir)" \
198 || { sleep 5 && rm -rf "$(distdir)"; }; \
199 else :; fi
200am__post_remove_distdir = $(am__remove_distdir)
4af7dd53
DB
201am__relativize = \
202 dir0=`pwd`; \
203 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
204 sed_rest='s,^[^/]*/*,,'; \
205 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
206 sed_butlast='s,/*[^/]*$$,,'; \
207 while test -n "$$dir1"; do \
208 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
209 if test "$$first" != "."; then \
210 if test "$$first" = ".."; then \
211 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
212 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
213 else \
214 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
215 if test "$$first2" = "$$first"; then \
216 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
217 else \
218 dir2="../$$dir2"; \
219 fi; \
220 dir0="$$dir0"/"$$first"; \
221 fi; \
222 fi; \
223 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
224 done; \
225 reldir="$$dir2"
097da666 226GZIP_ENV = --best
18d449f7
AG
227DIST_ARCHIVES = $(distdir).tar.xz
228DIST_TARGETS = dist-xz
097da666 229distuninstallcheck_listfiles = find . -type f -print
18d449f7
AG
230am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
231 | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
097da666
DB
232distcleancheck_listfiles = find . -type f -print
233ACLOCAL = @ACLOCAL@
10262927 234ALL_LINGUAS = @ALL_LINGUAS@
097da666 235AMTAR = @AMTAR@
18d449f7 236AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
097da666
DB
237AUTOCONF = @AUTOCONF@
238AUTOHEADER = @AUTOHEADER@
239AUTOMAKE = @AUTOMAKE@
240AWK = @AWK@
10262927
AG
241CATALOGS = @CATALOGS@
242CATOBJEXT = @CATOBJEXT@
243CC = @CC@
244CCDEPMODE = @CCDEPMODE@
245CFLAGS = @CFLAGS@
246CPP = @CPP@
247CPPFLAGS = @CPPFLAGS@
097da666 248CYGPATH_W = @CYGPATH_W@
10262927 249DATADIRNAME = @DATADIRNAME@
097da666 250DEFS = @DEFS@
10262927 251DEPDIR = @DEPDIR@
097da666
DB
252ECHO_C = @ECHO_C@
253ECHO_N = @ECHO_N@
254ECHO_T = @ECHO_T@
10262927
AG
255EGREP = @EGREP@
256EXEEXT = @EXEEXT@
257GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
258GMOFILES = @GMOFILES@
259GMSGFMT = @GMSGFMT@
260GREP = @GREP@
097da666
DB
261INSTALL = @INSTALL@
262INSTALL_DATA = @INSTALL_DATA@
263INSTALL_PROGRAM = @INSTALL_PROGRAM@
264INSTALL_SCRIPT = @INSTALL_SCRIPT@
265INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
10262927
AG
266INSTOBJEXT = @INSTOBJEXT@
267INTLLIBS = @INTLLIBS@
268INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
269INTLTOOL_MERGE = @INTLTOOL_MERGE@
270INTLTOOL_PERL = @INTLTOOL_PERL@
271INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
272INTLTOOL_V_MERGE = @INTLTOOL_V_MERGE@
273INTLTOOL_V_MERGE_OPTIONS = @INTLTOOL_V_MERGE_OPTIONS@
274INTLTOOL__v_MERGE_ = @INTLTOOL__v_MERGE_@
275INTLTOOL__v_MERGE_0 = @INTLTOOL__v_MERGE_0@
276LDFLAGS = @LDFLAGS@
097da666
DB
277LIBOBJS = @LIBOBJS@
278LIBS = @LIBS@
279LN_S = @LN_S@
280LTLIBOBJS = @LTLIBOBJS@
281MAKEINFO = @MAKEINFO@
282MKDIR_P = @MKDIR_P@
10262927
AG
283MKINSTALLDIRS = @MKINSTALLDIRS@
284MSGFMT = @MSGFMT@
285MSGFMT_OPTS = @MSGFMT_OPTS@
286MSGMERGE = @MSGMERGE@
287OBJEXT = @OBJEXT@
097da666
DB
288PACKAGE = @PACKAGE@
289PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
290PACKAGE_NAME = @PACKAGE_NAME@
291PACKAGE_STRING = @PACKAGE_STRING@
292PACKAGE_TARNAME = @PACKAGE_TARNAME@
26d3dc88 293PACKAGE_URL = @PACKAGE_URL@
097da666
DB
294PACKAGE_VERSION = @PACKAGE_VERSION@
295PATH_SEPARATOR = @PATH_SEPARATOR@
10262927
AG
296POFILES = @POFILES@
297POSUB = @POSUB@
298PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
299PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
097da666
DB
300SET_MAKE = @SET_MAKE@
301SHELL = @SHELL@
302STRIP = @STRIP@
10262927 303USE_NLS = @USE_NLS@
097da666 304VERSION = @VERSION@
10262927 305XGETTEXT = @XGETTEXT@
4af7dd53
DB
306XMLCATALOG = @XMLCATALOG@
307XML_CATALOG_FILE = @XML_CATALOG_FILE@
308XSLTPROC = @XSLTPROC@
097da666
DB
309abs_builddir = @abs_builddir@
310abs_srcdir = @abs_srcdir@
311abs_top_builddir = @abs_top_builddir@
312abs_top_srcdir = @abs_top_srcdir@
10262927
AG
313ac_ct_CC = @ac_ct_CC@
314am__include = @am__include@
097da666 315am__leading_dot = @am__leading_dot@
10262927 316am__quote = @am__quote@
097da666
DB
317am__tar = @am__tar@
318am__untar = @am__untar@
319bindir = @bindir@
320build_alias = @build_alias@
321builddir = @builddir@
322datadir = @datadir@
323datarootdir = @datarootdir@
324docdir = @docdir@
325dvidir = @dvidir@
326exec_prefix = @exec_prefix@
327host_alias = @host_alias@
328htmldir = @htmldir@
329includedir = @includedir@
330infodir = @infodir@
331install_sh = @install_sh@
10262927
AG
332intltool__v_merge_options_ = @intltool__v_merge_options_@
333intltool__v_merge_options_0 = @intltool__v_merge_options_0@
097da666
DB
334libdir = @libdir@
335libexecdir = @libexecdir@
336localedir = @localedir@
337localstatedir = @localstatedir@
338mandir = @mandir@
339mkdir_p = @mkdir_p@
340oldincludedir = @oldincludedir@
341pdfdir = @pdfdir@
342prefix = @prefix@
343program_transform_name = @program_transform_name@
344psdir = @psdir@
345sbindir = @sbindir@
346sharedstatedir = @sharedstatedir@
347srcdir = @srcdir@
348sysconfdir = @sysconfdir@
349target_alias = @target_alias@
68711ac0 350top_build_prefix = @top_build_prefix@
097da666
DB
351top_builddir = @top_builddir@
352top_srcdir = @top_srcdir@
353xsesspath = @xsesspath@
10262927 354SUBDIRS = man po
097da666
DB
355bin_SCRIPTS = startlxde lxde-logout openbox-lxde
356
357# Currently these paths are hardcoded.
358xsessiondir = $(xsesspath)
359xsession_DATA = LXDE.desktop
68711ac0 360defaultsdir = $(sysconfdir)/xdg/lxsession/LXDE
26d3dc88 361defaults_DATA = autostart desktop.conf
10262927
AG
362desktopdir = $(datadir)/applications
363desktop_in_files = lxde-logout.desktop.in lxde-screenlock.desktop.in
364desktop_DATA = $(desktop_in_files:.desktop.in=.desktop)
097da666
DB
365wallpapersdir = $(datadir)/lxde/wallpapers
366wallpapers_DATA = \
367 wallpapers/lxde_blue.jpg \
368 wallpapers/lxde_red.jpg \
369 wallpapers/lxde_green.jpg
370
371imagesdir = $(datadir)/lxde/images
372images_DATA = \
373 images/logout-banner.png \
374 images/lxde-icon.png
375
10262927 376lxpaneldir = $(sysconfdir)/xdg/lxpanel/LXDE
097da666 377lxpanel_DATA = lxpanel/config
10262927 378lxpanel_paneldir = $(sysconfdir)/xdg/lxpanel/LXDE/panels
097da666 379lxpanel_panel_DATA = lxpanel/panel
18d449f7 380openboxdir = $(sysconfdir)/xdg/openbox/LXDE
097da666
DB
381openbox_DATA = \
382 openbox/rc.xml \
383 openbox/menu.xml
384
525d33ac 385pcmanfmdir = $(sysconfdir)/xdg/pcmanfm/LXDE
097da666 386pcmanfm_DATA = \
525d33ac 387 pcmanfm/pcmanfm.conf
097da666
DB
388
389EXTRA_DIST = \
097da666 390 autostart \
26d3dc88 391 desktop.conf \
10262927
AG
392 LXDE.desktop.in.in \
393 $(desktop_in_files) \
097da666
DB
394 startlxde.in \
395 $(wallpapers_DATA) \
396 $(images_DATA) \
097da666
DB
397 openbox/rc.xml.in \
398 openbox/menu.xml \
399 openbox-lxde.in \
525d33ac 400 pcmanfm/pcmanfm.conf.in \
097da666
DB
401 $(lxpanel_DATA) \
402 lxpanel/panel.in
403
10262927 404CLEANFILES = $(bin_SCRIPTS) LXDE.desktop $(desktop_DATA)
68711ac0 405all: all-recursive
097da666
DB
406
407.SUFFIXES:
18d449f7 408am--refresh: Makefile
097da666
DB
409 @:
410$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
411 @for dep in $?; do \
412 case '$(am__configure_deps)' in \
413 *$$dep*) \
18d449f7
AG
414 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
415 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
097da666
DB
416 && exit 0; \
417 exit 1;; \
418 esac; \
419 done; \
18d449f7 420 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
4af7dd53 421 $(am__cd) $(top_srcdir) && \
18d449f7 422 $(AUTOMAKE) --foreign Makefile
097da666
DB
423.PRECIOUS: Makefile
424Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
425 @case '$?' in \
426 *config.status*) \
427 echo ' $(SHELL) ./config.status'; \
428 $(SHELL) ./config.status;; \
429 *) \
430 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
431 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
432 esac;
433
434$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
435 $(SHELL) ./config.status --recheck
436
437$(top_srcdir)/configure: $(am__configure_deps)
4af7dd53 438 $(am__cd) $(srcdir) && $(AUTOCONF)
097da666 439$(ACLOCAL_M4): $(am__aclocal_m4_deps)
4af7dd53
DB
440 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
441$(am__aclocal_m4_deps):
097da666
DB
442startlxde: $(top_builddir)/config.status $(srcdir)/startlxde.in
443 cd $(top_builddir) && $(SHELL) ./config.status $@
097da666
DB
444lxde-logout: $(top_builddir)/config.status $(srcdir)/lxde-logout.in
445 cd $(top_builddir) && $(SHELL) ./config.status $@
10262927 446LXDE.desktop.in: $(top_builddir)/config.status $(srcdir)/LXDE.desktop.in.in
68711ac0 447 cd $(top_builddir) && $(SHELL) ./config.status $@
097da666
DB
448lxpanel/panel: $(top_builddir)/config.status $(top_srcdir)/lxpanel/panel.in
449 cd $(top_builddir) && $(SHELL) ./config.status $@
450openbox/rc.xml: $(top_builddir)/config.status $(top_srcdir)/openbox/rc.xml.in
451 cd $(top_builddir) && $(SHELL) ./config.status $@
452openbox-lxde: $(top_builddir)/config.status $(srcdir)/openbox-lxde.in
453 cd $(top_builddir) && $(SHELL) ./config.status $@
525d33ac 454pcmanfm/pcmanfm.conf: $(top_builddir)/config.status $(top_srcdir)/pcmanfm/pcmanfm.conf.in
097da666
DB
455 cd $(top_builddir) && $(SHELL) ./config.status $@
456install-binSCRIPTS: $(bin_SCRIPTS)
457 @$(NORMAL_INSTALL)
4af7dd53 458 @list='$(bin_SCRIPTS)'; test -n "$(bindir)" || list=; \
18d449f7
AG
459 if test -n "$$list"; then \
460 echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
461 $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
462 fi; \
4af7dd53 463 for p in $$list; do \
097da666 464 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
4af7dd53
DB
465 if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
466 done | \
467 sed -e 'p;s,.*/,,;n' \
468 -e 'h;s|.*|.|' \
469 -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
470 $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
471 { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
472 if ($$2 == $$4) { files[d] = files[d] " " $$1; \
473 if (++n[d] == $(am__install_max)) { \
474 print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
475 else { print "f", d "/" $$4, $$1 } } \
476 END { for (d in files) print "f", d, files[d] }' | \
477 while read type dir files; do \
478 if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
479 test -z "$$files" || { \
480 echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(bindir)$$dir'"; \
481 $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
482 } \
483 ; done
097da666
DB
484
485uninstall-binSCRIPTS:
486 @$(NORMAL_UNINSTALL)
4af7dd53
DB
487 @list='$(bin_SCRIPTS)'; test -n "$(bindir)" || exit 0; \
488 files=`for p in $$list; do echo "$$p"; done | \
489 sed -e 's,.*/,,;$(transform)'`; \
18d449f7 490 dir='$(DESTDIR)$(bindir)'; $(am__uninstall_files_from_dir)
097da666
DB
491install-defaultsDATA: $(defaults_DATA)
492 @$(NORMAL_INSTALL)
4af7dd53 493 @list='$(defaults_DATA)'; test -n "$(defaultsdir)" || list=; \
18d449f7
AG
494 if test -n "$$list"; then \
495 echo " $(MKDIR_P) '$(DESTDIR)$(defaultsdir)'"; \
496 $(MKDIR_P) "$(DESTDIR)$(defaultsdir)" || exit 1; \
497 fi; \
4af7dd53 498 for p in $$list; do \
097da666 499 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
4af7dd53
DB
500 echo "$$d$$p"; \
501 done | $(am__base_list) | \
502 while read files; do \
503 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(defaultsdir)'"; \
504 $(INSTALL_DATA) $$files "$(DESTDIR)$(defaultsdir)" || exit $$?; \
097da666
DB
505 done
506
507uninstall-defaultsDATA:
508 @$(NORMAL_UNINSTALL)
4af7dd53
DB
509 @list='$(defaults_DATA)'; test -n "$(defaultsdir)" || list=; \
510 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
18d449f7 511 dir='$(DESTDIR)$(defaultsdir)'; $(am__uninstall_files_from_dir)
10262927
AG
512install-desktopDATA: $(desktop_DATA)
513 @$(NORMAL_INSTALL)
514 @list='$(desktop_DATA)'; test -n "$(desktopdir)" || list=; \
515 if test -n "$$list"; then \
516 echo " $(MKDIR_P) '$(DESTDIR)$(desktopdir)'"; \
517 $(MKDIR_P) "$(DESTDIR)$(desktopdir)" || exit 1; \
518 fi; \
519 for p in $$list; do \
520 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
521 echo "$$d$$p"; \
522 done | $(am__base_list) | \
523 while read files; do \
524 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(desktopdir)'"; \
525 $(INSTALL_DATA) $$files "$(DESTDIR)$(desktopdir)" || exit $$?; \
526 done
527
528uninstall-desktopDATA:
529 @$(NORMAL_UNINSTALL)
530 @list='$(desktop_DATA)'; test -n "$(desktopdir)" || list=; \
531 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
532 dir='$(DESTDIR)$(desktopdir)'; $(am__uninstall_files_from_dir)
097da666
DB
533install-imagesDATA: $(images_DATA)
534 @$(NORMAL_INSTALL)
4af7dd53 535 @list='$(images_DATA)'; test -n "$(imagesdir)" || list=; \
18d449f7
AG
536 if test -n "$$list"; then \
537 echo " $(MKDIR_P) '$(DESTDIR)$(imagesdir)'"; \
538 $(MKDIR_P) "$(DESTDIR)$(imagesdir)" || exit 1; \
539 fi; \
4af7dd53 540 for p in $$list; do \
097da666 541 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
4af7dd53
DB
542 echo "$$d$$p"; \
543 done | $(am__base_list) | \
544 while read files; do \
545 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(imagesdir)'"; \
546 $(INSTALL_DATA) $$files "$(DESTDIR)$(imagesdir)" || exit $$?; \
097da666
DB
547 done
548
549uninstall-imagesDATA:
550 @$(NORMAL_UNINSTALL)
4af7dd53
DB
551 @list='$(images_DATA)'; test -n "$(imagesdir)" || list=; \
552 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
18d449f7 553 dir='$(DESTDIR)$(imagesdir)'; $(am__uninstall_files_from_dir)
097da666
DB
554install-lxpanelDATA: $(lxpanel_DATA)
555 @$(NORMAL_INSTALL)
4af7dd53 556 @list='$(lxpanel_DATA)'; test -n "$(lxpaneldir)" || list=; \
18d449f7
AG
557 if test -n "$$list"; then \
558 echo " $(MKDIR_P) '$(DESTDIR)$(lxpaneldir)'"; \
559 $(MKDIR_P) "$(DESTDIR)$(lxpaneldir)" || exit 1; \
560 fi; \
4af7dd53 561 for p in $$list; do \
097da666 562 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
4af7dd53
DB
563 echo "$$d$$p"; \
564 done | $(am__base_list) | \
565 while read files; do \
566 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(lxpaneldir)'"; \
567 $(INSTALL_DATA) $$files "$(DESTDIR)$(lxpaneldir)" || exit $$?; \
097da666
DB
568 done
569
570uninstall-lxpanelDATA:
571 @$(NORMAL_UNINSTALL)
4af7dd53
DB
572 @list='$(lxpanel_DATA)'; test -n "$(lxpaneldir)" || list=; \
573 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
18d449f7 574 dir='$(DESTDIR)$(lxpaneldir)'; $(am__uninstall_files_from_dir)
097da666
DB
575install-lxpanel_panelDATA: $(lxpanel_panel_DATA)
576 @$(NORMAL_INSTALL)
4af7dd53 577 @list='$(lxpanel_panel_DATA)'; test -n "$(lxpanel_paneldir)" || list=; \
18d449f7
AG
578 if test -n "$$list"; then \
579 echo " $(MKDIR_P) '$(DESTDIR)$(lxpanel_paneldir)'"; \
580 $(MKDIR_P) "$(DESTDIR)$(lxpanel_paneldir)" || exit 1; \
581 fi; \
4af7dd53 582 for p in $$list; do \
097da666 583 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
4af7dd53
DB
584 echo "$$d$$p"; \
585 done | $(am__base_list) | \
586 while read files; do \
587 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(lxpanel_paneldir)'"; \
588 $(INSTALL_DATA) $$files "$(DESTDIR)$(lxpanel_paneldir)" || exit $$?; \
097da666
DB
589 done
590
591uninstall-lxpanel_panelDATA:
592 @$(NORMAL_UNINSTALL)
4af7dd53
DB
593 @list='$(lxpanel_panel_DATA)'; test -n "$(lxpanel_paneldir)" || list=; \
594 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
18d449f7 595 dir='$(DESTDIR)$(lxpanel_paneldir)'; $(am__uninstall_files_from_dir)
097da666
DB
596install-openboxDATA: $(openbox_DATA)
597 @$(NORMAL_INSTALL)
4af7dd53 598 @list='$(openbox_DATA)'; test -n "$(openboxdir)" || list=; \
18d449f7
AG
599 if test -n "$$list"; then \
600 echo " $(MKDIR_P) '$(DESTDIR)$(openboxdir)'"; \
601 $(MKDIR_P) "$(DESTDIR)$(openboxdir)" || exit 1; \
602 fi; \
4af7dd53 603 for p in $$list; do \
097da666 604 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
4af7dd53
DB
605 echo "$$d$$p"; \
606 done | $(am__base_list) | \
607 while read files; do \
608 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(openboxdir)'"; \
609 $(INSTALL_DATA) $$files "$(DESTDIR)$(openboxdir)" || exit $$?; \
097da666
DB
610 done
611
612uninstall-openboxDATA:
613 @$(NORMAL_UNINSTALL)
4af7dd53
DB
614 @list='$(openbox_DATA)'; test -n "$(openboxdir)" || list=; \
615 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
18d449f7 616 dir='$(DESTDIR)$(openboxdir)'; $(am__uninstall_files_from_dir)
097da666
DB
617install-pcmanfmDATA: $(pcmanfm_DATA)
618 @$(NORMAL_INSTALL)
4af7dd53 619 @list='$(pcmanfm_DATA)'; test -n "$(pcmanfmdir)" || list=; \
18d449f7
AG
620 if test -n "$$list"; then \
621 echo " $(MKDIR_P) '$(DESTDIR)$(pcmanfmdir)'"; \
622 $(MKDIR_P) "$(DESTDIR)$(pcmanfmdir)" || exit 1; \
623 fi; \
4af7dd53 624 for p in $$list; do \
097da666 625 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
4af7dd53
DB
626 echo "$$d$$p"; \
627 done | $(am__base_list) | \
628 while read files; do \
629 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pcmanfmdir)'"; \
630 $(INSTALL_DATA) $$files "$(DESTDIR)$(pcmanfmdir)" || exit $$?; \
097da666
DB
631 done
632
633uninstall-pcmanfmDATA:
634 @$(NORMAL_UNINSTALL)
4af7dd53
DB
635 @list='$(pcmanfm_DATA)'; test -n "$(pcmanfmdir)" || list=; \
636 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
18d449f7 637 dir='$(DESTDIR)$(pcmanfmdir)'; $(am__uninstall_files_from_dir)
097da666
DB
638install-wallpapersDATA: $(wallpapers_DATA)
639 @$(NORMAL_INSTALL)
4af7dd53 640 @list='$(wallpapers_DATA)'; test -n "$(wallpapersdir)" || list=; \
18d449f7
AG
641 if test -n "$$list"; then \
642 echo " $(MKDIR_P) '$(DESTDIR)$(wallpapersdir)'"; \
643 $(MKDIR_P) "$(DESTDIR)$(wallpapersdir)" || exit 1; \
644 fi; \
4af7dd53 645 for p in $$list; do \
097da666 646 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
4af7dd53
DB
647 echo "$$d$$p"; \
648 done | $(am__base_list) | \
649 while read files; do \
650 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(wallpapersdir)'"; \
651 $(INSTALL_DATA) $$files "$(DESTDIR)$(wallpapersdir)" || exit $$?; \
097da666
DB
652 done
653
654uninstall-wallpapersDATA:
655 @$(NORMAL_UNINSTALL)
4af7dd53
DB
656 @list='$(wallpapers_DATA)'; test -n "$(wallpapersdir)" || list=; \
657 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
18d449f7 658 dir='$(DESTDIR)$(wallpapersdir)'; $(am__uninstall_files_from_dir)
097da666
DB
659install-xsessionDATA: $(xsession_DATA)
660 @$(NORMAL_INSTALL)
4af7dd53 661 @list='$(xsession_DATA)'; test -n "$(xsessiondir)" || list=; \
18d449f7
AG
662 if test -n "$$list"; then \
663 echo " $(MKDIR_P) '$(DESTDIR)$(xsessiondir)'"; \
664 $(MKDIR_P) "$(DESTDIR)$(xsessiondir)" || exit 1; \
665 fi; \
4af7dd53 666 for p in $$list; do \
097da666 667 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
4af7dd53
DB
668 echo "$$d$$p"; \
669 done | $(am__base_list) | \
670 while read files; do \
671 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(xsessiondir)'"; \
672 $(INSTALL_DATA) $$files "$(DESTDIR)$(xsessiondir)" || exit $$?; \
097da666
DB
673 done
674
675uninstall-xsessionDATA:
676 @$(NORMAL_UNINSTALL)
4af7dd53
DB
677 @list='$(xsession_DATA)'; test -n "$(xsessiondir)" || list=; \
678 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
18d449f7 679 dir='$(DESTDIR)$(xsessiondir)'; $(am__uninstall_files_from_dir)
097da666
DB
680
681# This directory's subdirectories are mostly independent; you can cd
18d449f7
AG
682# into them and run 'make' without going through this Makefile.
683# To change the values of 'make' variables: instead of editing Makefiles,
684# (1) if the variable is set in 'config.status', edit 'config.status'
685# (which will cause the Makefiles to be regenerated when you run 'make');
686# (2) otherwise, pass the desired values on the 'make' command line.
687$(am__recursive_targets):
688 @fail=; \
689 if $(am__make_keepgoing); then \
690 failcom='fail=yes'; \
691 else \
692 failcom='exit 1'; \
693 fi; \
097da666
DB
694 dot_seen=no; \
695 target=`echo $@ | sed s/-recursive//`; \
18d449f7
AG
696 case "$@" in \
697 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
698 *) list='$(SUBDIRS)' ;; \
699 esac; \
700 for subdir in $$list; do \
097da666
DB
701 echo "Making $$target in $$subdir"; \
702 if test "$$subdir" = "."; then \
703 dot_seen=yes; \
704 local_target="$$target-am"; \
705 else \
706 local_target="$$target"; \
707 fi; \
4af7dd53 708 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
097da666
DB
709 || eval $$failcom; \
710 done; \
711 if test "$$dot_seen" = "no"; then \
712 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
713 fi; test -z "$$fail"
714
18d449f7
AG
715ID: $(am__tagged_files)
716 $(am__define_uniq_tagged_files); mkid -fID $$unique
717tags: tags-recursive
718TAGS: tags
097da666 719
18d449f7 720tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
4af7dd53 721 set x; \
097da666
DB
722 here=`pwd`; \
723 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
724 include_option=--etags-include; \
725 empty_fix=.; \
726 else \
727 include_option=--include; \
728 empty_fix=; \
729 fi; \
730 list='$(SUBDIRS)'; for subdir in $$list; do \
731 if test "$$subdir" = .; then :; else \
732 test ! -f $$subdir/TAGS || \
4af7dd53 733 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
097da666
DB
734 fi; \
735 done; \
18d449f7 736 $(am__define_uniq_tagged_files); \
4af7dd53
DB
737 shift; \
738 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
097da666 739 test -n "$$unique" || unique=$$empty_fix; \
4af7dd53
DB
740 if test $$# -gt 0; then \
741 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
742 "$$@" $$unique; \
743 else \
744 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
745 $$unique; \
746 fi; \
097da666 747 fi
18d449f7
AG
748ctags: ctags-recursive
749
750CTAGS: ctags
751ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
752 $(am__define_uniq_tagged_files); \
4af7dd53 753 test -z "$(CTAGS_ARGS)$$unique" \
097da666 754 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
4af7dd53 755 $$unique
097da666
DB
756
757GTAGS:
758 here=`$(am__cd) $(top_builddir) && pwd` \
4af7dd53
DB
759 && $(am__cd) $(top_srcdir) \
760 && gtags -i $(GTAGS_ARGS) "$$here"
18d449f7
AG
761cscope: cscope.files
762 test ! -s cscope.files \
763 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
764clean-cscope:
765 -rm -f cscope.files
766cscope.files: clean-cscope cscopelist
767cscopelist: cscopelist-recursive
768
769cscopelist-am: $(am__tagged_files)
770 list='$(am__tagged_files)'; \
771 case "$(srcdir)" in \
772 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
773 *) sdir=$(subdir)/$(srcdir) ;; \
774 esac; \
775 for i in $$list; do \
776 if test -f "$$i"; then \
777 echo "$(subdir)/$$i"; \
778 else \
779 echo "$$sdir/$$i"; \
780 fi; \
781 done >> $(top_builddir)/cscope.files
097da666
DB
782
783distclean-tags:
784 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
18d449f7 785 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
097da666
DB
786
787distdir: $(DISTFILES)
788 $(am__remove_distdir)
4af7dd53 789 test -d "$(distdir)" || mkdir "$(distdir)"
097da666
DB
790 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
791 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
792 list='$(DISTFILES)'; \
793 dist_files=`for file in $$list; do echo $$file; done | \
794 sed -e "s|^$$srcdirstrip/||;t" \
795 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
796 case $$dist_files in \
797 */*) $(MKDIR_P) `echo "$$dist_files" | \
798 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
799 sort -u` ;; \
800 esac; \
801 for file in $$dist_files; do \
802 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
803 if test -d $$d/$$file; then \
804 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
4af7dd53
DB
805 if test -d "$(distdir)/$$file"; then \
806 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
807 fi; \
097da666 808 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
4af7dd53
DB
809 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
810 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
097da666 811 fi; \
4af7dd53 812 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
097da666 813 else \
4af7dd53
DB
814 test -f "$(distdir)/$$file" \
815 || cp -p $$d/$$file "$(distdir)/$$file" \
097da666
DB
816 || exit 1; \
817 fi; \
818 done
4af7dd53 819 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
097da666 820 if test "$$subdir" = .; then :; else \
18d449f7
AG
821 $(am__make_dryrun) \
822 || test -d "$(distdir)/$$subdir" \
823 || $(MKDIR_P) "$(distdir)/$$subdir" \
824 || exit 1; \
4af7dd53
DB
825 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
826 $(am__relativize); \
827 new_distdir=$$reldir; \
828 dir1=$$subdir; dir2="$(top_distdir)"; \
829 $(am__relativize); \
830 new_top_distdir=$$reldir; \
831 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
832 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
833 ($(am__cd) $$subdir && \
097da666 834 $(MAKE) $(AM_MAKEFLAGS) \
4af7dd53
DB
835 top_distdir="$$new_top_distdir" \
836 distdir="$$new_distdir" \
097da666
DB
837 am__remove_distdir=: \
838 am__skip_length_check=: \
4af7dd53 839 am__skip_mode_fix=: \
097da666
DB
840 distdir) \
841 || exit 1; \
842 fi; \
843 done
4af7dd53 844 -test -n "$(am__skip_mode_fix)" \
525d33ac
DB
845 || find "$(distdir)" -type d ! -perm -755 \
846 -exec chmod u+rwx,go+rx {} \; -o \
097da666
DB
847 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
848 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
849 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
4af7dd53 850 || chmod -R a+r "$(distdir)"
097da666
DB
851dist-gzip: distdir
852 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
18d449f7 853 $(am__post_remove_distdir)
26d3dc88 854
097da666 855dist-bzip2: distdir
18d449f7
AG
856 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
857 $(am__post_remove_distdir)
097da666 858
18d449f7
AG
859dist-lzip: distdir
860 tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
861 $(am__post_remove_distdir)
4af7dd53 862dist-xz: distdir
18d449f7
AG
863 tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
864 $(am__post_remove_distdir)
4af7dd53 865
097da666 866dist-tarZ: distdir
18d449f7
AG
867 @echo WARNING: "Support for shar distribution archives is" \
868 "deprecated." >&2
869 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
097da666 870 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
18d449f7 871 $(am__post_remove_distdir)
097da666
DB
872
873dist-shar: distdir
18d449f7
AG
874 @echo WARNING: "Support for distribution archives compressed with" \
875 "legacy program 'compress' is deprecated." >&2
876 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
097da666 877 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
18d449f7 878 $(am__post_remove_distdir)
097da666
DB
879
880dist-zip: distdir
881 -rm -f $(distdir).zip
882 zip -rq $(distdir).zip $(distdir)
18d449f7 883 $(am__post_remove_distdir)
097da666 884
18d449f7
AG
885dist dist-all:
886 $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
887 $(am__post_remove_distdir)
097da666
DB
888
889# This target untars the dist file and tries a VPATH configuration. Then
890# it guarantees that the distribution is self-contained by making another
891# tarfile.
892distcheck: dist
893 case '$(DIST_ARCHIVES)' in \
894 *.tar.gz*) \
525d33ac 895 GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
097da666 896 *.tar.bz2*) \
525d33ac 897 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
18d449f7
AG
898 *.tar.lz*) \
899 lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
4af7dd53
DB
900 *.tar.xz*) \
901 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
097da666
DB
902 *.tar.Z*) \
903 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
904 *.shar.gz*) \
525d33ac 905 GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
097da666
DB
906 *.zip*) \
907 unzip $(distdir).zip ;;\
908 esac
18d449f7
AG
909 chmod -R a-w $(distdir)
910 chmod u+w $(distdir)
911 mkdir $(distdir)/_build $(distdir)/_inst
097da666 912 chmod a-w $(distdir)
4af7dd53 913 test -d $(distdir)/_build || exit 0; \
097da666
DB
914 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
915 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
4af7dd53
DB
916 && am__cwd=`pwd` \
917 && $(am__cd) $(distdir)/_build \
18d449f7
AG
918 && ../configure \
919 $(AM_DISTCHECK_CONFIGURE_FLAGS) \
097da666 920 $(DISTCHECK_CONFIGURE_FLAGS) \
18d449f7 921 --srcdir=.. --prefix="$$dc_install_base" \
097da666
DB
922 && $(MAKE) $(AM_MAKEFLAGS) \
923 && $(MAKE) $(AM_MAKEFLAGS) dvi \
924 && $(MAKE) $(AM_MAKEFLAGS) check \
925 && $(MAKE) $(AM_MAKEFLAGS) install \
926 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
927 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
928 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
929 distuninstallcheck \
930 && chmod -R a-w "$$dc_install_base" \
931 && ({ \
932 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
933 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
934 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
935 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
936 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
937 } || { rm -rf "$$dc_destdir"; exit 1; }) \
938 && rm -rf "$$dc_destdir" \
939 && $(MAKE) $(AM_MAKEFLAGS) dist \
940 && rm -rf $(DIST_ARCHIVES) \
4af7dd53
DB
941 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
942 && cd "$$am__cwd" \
943 || exit 1
18d449f7 944 $(am__post_remove_distdir)
097da666
DB
945 @(echo "$(distdir) archives ready for distribution: "; \
946 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
947 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
948distuninstallcheck:
18d449f7
AG
949 @test -n '$(distuninstallcheck_dir)' || { \
950 echo 'ERROR: trying to run $@ with an empty' \
951 '$$(distuninstallcheck_dir)' >&2; \
952 exit 1; \
953 }; \
954 $(am__cd) '$(distuninstallcheck_dir)' || { \
955 echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
956 exit 1; \
957 }; \
958 test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
097da666
DB
959 || { echo "ERROR: files left after uninstall:" ; \
960 if test -n "$(DESTDIR)"; then \
961 echo " (check DESTDIR support)"; \
962 fi ; \
963 $(distuninstallcheck_listfiles) ; \
964 exit 1; } >&2
965distcleancheck: distclean
966 @if test '$(srcdir)' = . ; then \
967 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
968 exit 1 ; \
969 fi
970 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
971 || { echo "ERROR: files left in build directory after distclean:" ; \
972 $(distcleancheck_listfiles) ; \
973 exit 1; } >&2
974check-am: all-am
975check: check-recursive
68711ac0 976all-am: Makefile $(SCRIPTS) $(DATA)
097da666
DB
977installdirs: installdirs-recursive
978installdirs-am:
10262927 979 for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(defaultsdir)" "$(DESTDIR)$(desktopdir)" "$(DESTDIR)$(imagesdir)" "$(DESTDIR)$(lxpaneldir)" "$(DESTDIR)$(lxpanel_paneldir)" "$(DESTDIR)$(openboxdir)" "$(DESTDIR)$(pcmanfmdir)" "$(DESTDIR)$(wallpapersdir)" "$(DESTDIR)$(xsessiondir)"; do \
097da666
DB
980 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
981 done
982install: install-recursive
983install-exec: install-exec-recursive
984install-data: install-data-recursive
985uninstall: uninstall-recursive
986
987install-am: all-am
988 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
989
990installcheck: installcheck-recursive
991install-strip:
18d449f7
AG
992 if test -z '$(STRIP)'; then \
993 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
994 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
995 install; \
996 else \
997 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
998 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
999 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1000 fi
097da666
DB
1001mostlyclean-generic:
1002
1003clean-generic:
1004 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1005
1006distclean-generic:
1007 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
4af7dd53 1008 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
097da666
DB
1009
1010maintainer-clean-generic:
1011 @echo "This command is intended for maintainers to use"
1012 @echo "it deletes files that may require special tools to rebuild."
1013clean: clean-recursive
1014
1015clean-am: clean-generic mostlyclean-am
1016
1017distclean: distclean-recursive
1018 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1019 -rm -f Makefile
68711ac0 1020distclean-am: clean-am distclean-generic distclean-tags
097da666
DB
1021
1022dvi: dvi-recursive
1023
1024dvi-am:
1025
1026html: html-recursive
1027
4af7dd53
DB
1028html-am:
1029
097da666
DB
1030info: info-recursive
1031
1032info-am:
1033
10262927
AG
1034install-data-am: install-defaultsDATA install-desktopDATA \
1035 install-imagesDATA install-lxpanelDATA \
1036 install-lxpanel_panelDATA install-openboxDATA \
1037 install-pcmanfmDATA install-wallpapersDATA \
097da666
DB
1038 install-xsessionDATA
1039
1040install-dvi: install-dvi-recursive
1041
4af7dd53
DB
1042install-dvi-am:
1043
097da666
DB
1044install-exec-am: install-binSCRIPTS
1045
1046install-html: install-html-recursive
1047
4af7dd53
DB
1048install-html-am:
1049
097da666
DB
1050install-info: install-info-recursive
1051
4af7dd53
DB
1052install-info-am:
1053
097da666
DB
1054install-man:
1055
1056install-pdf: install-pdf-recursive
1057
4af7dd53
DB
1058install-pdf-am:
1059
097da666
DB
1060install-ps: install-ps-recursive
1061
4af7dd53
DB
1062install-ps-am:
1063
097da666
DB
1064installcheck-am:
1065
1066maintainer-clean: maintainer-clean-recursive
1067 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1068 -rm -rf $(top_srcdir)/autom4te.cache
1069 -rm -f Makefile
1070maintainer-clean-am: distclean-am maintainer-clean-generic
1071
1072mostlyclean: mostlyclean-recursive
1073
1074mostlyclean-am: mostlyclean-generic
1075
1076pdf: pdf-recursive
1077
1078pdf-am:
1079
1080ps: ps-recursive
1081
1082ps-am:
1083
1084uninstall-am: uninstall-binSCRIPTS uninstall-defaultsDATA \
10262927
AG
1085 uninstall-desktopDATA uninstall-imagesDATA \
1086 uninstall-lxpanelDATA uninstall-lxpanel_panelDATA \
1087 uninstall-openboxDATA uninstall-pcmanfmDATA \
1088 uninstall-wallpapersDATA uninstall-xsessionDATA
097da666 1089
18d449f7
AG
1090.MAKE: $(am__recursive_targets) install-am install-strip
1091
1092.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
1093 am--refresh check check-am clean clean-cscope clean-generic \
1094 cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
1095 dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
1096 distcheck distclean distclean-generic distclean-tags \
1097 distcleancheck distdir distuninstallcheck dvi dvi-am html \
1098 html-am info info-am install install-am install-binSCRIPTS \
10262927
AG
1099 install-data install-data-am install-defaultsDATA \
1100 install-desktopDATA install-dvi install-dvi-am install-exec \
1101 install-exec-am install-html install-html-am \
1102 install-imagesDATA install-info install-info-am \
1103 install-lxpanelDATA install-lxpanel_panelDATA install-man \
1104 install-openboxDATA install-pcmanfmDATA install-pdf \
1105 install-pdf-am install-ps install-ps-am install-strip \
1106 install-wallpapersDATA install-xsessionDATA installcheck \
1107 installcheck-am installdirs installdirs-am maintainer-clean \
1108 maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
1109 pdf-am ps ps-am tags tags-am uninstall uninstall-am \
1110 uninstall-binSCRIPTS uninstall-defaultsDATA \
1111 uninstall-desktopDATA uninstall-imagesDATA \
1112 uninstall-lxpanelDATA uninstall-lxpanel_panelDATA \
1113 uninstall-openboxDATA uninstall-pcmanfmDATA \
1114 uninstall-wallpapersDATA uninstall-xsessionDATA
1115
1116@INTLTOOL_DESKTOP_RULE@
4af7dd53 1117
097da666
DB
1118# Tell versions [3.59,3.63) of GNU make to not export all variables.
1119# Otherwise a system limit (for SysV at least) may be exceeded.
1120.NOEXPORT: